Bug 128330 - Writer: invoice date field doesn't export to pdf with Archive option (new), exports wrong without (older)
Summary: Writer: invoice date field doesn't export to pdf with Archive option (new), e...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.3.7.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2019-10-22 18:47 UTC by boicottms
Modified: 2020-01-06 11:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
original file and pdf output (63.97 KB, application/x-zip-compressed)
2019-10-22 18:47 UTC, boicottms
Details
pdf exported without archive options (36.11 KB, application/pdf)
2019-10-27 09:37 UTC, boicottms
Details

Note You need to log in before you can comment on or make changes to this bug.
Description boicottms 2019-10-22 18:47:02 UTC
Created attachment 155244 [details]
original file and pdf output

Hi,
I'm using the attached invoice template since years - I always export them to pdf for distribution and archiving. 
I'm keeping LibOO always pretty up to date - Since past september the ouput to pdf looses the date field. As a workaround I have to print it to a pdf printer.
Se attached the the writer and the pdf files: the date in the pdf is missing.

Note - if you like you may use the template, I relase it in public domain.
Comment 1 Xisco Faulí 2019-10-23 14:10:43 UTC
I can't reproduce it in

Versión: 6.3.3.1 (x86)
Id. de compilación: f41f4c7f9507aeca13cb9df51f34d80e8ba30a99
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the issue is still present
Comment 2 boicottms 2019-10-27 09:19:35 UTC
Hello,
I reset the user profile, and I still have the problem.
I did a little bit of testing and I discovered that the date disappears when I export PDF as archive (both PDF/A-1b and PDF/A-2b) while it is present if I turn archive off - actually it works when I turn off al options, but the data keeps a light gray background and a frame lights up on ouse over, like if it was an aditable field (which is not my intention).
In the past I use to save those invoices as PDF/A-1b and the data was visible, printable and not editable.

Versione: 6.3.2.2 (x64)
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
Thread CPU: 8; SO: Windows 10.0; Resa interfaccia: GL; VCL: win; 
Versione locale: it-IT (it_IT); Lingua interfaccia: it-IT
Calc: threaded
Comment 3 boicottms 2019-10-27 09:37:49 UTC
Created attachment 155336 [details]
pdf exported without archive options

this is an ouput to pdf with the archive options turned off. Tha data field appears in tha pdf but it seems an editable field: it has a background, a frame appears on mouse over and the reader asks if I want to save the changes when I close the file.
Comment 4 Timur 2019-11-19 10:06:53 UTC
I reproduce with Lo 6.5+. Set New and update title.
Not sure when started. Previously, archive would disable form, and no archive and form would make date field editable.
Comment 5 Xisco Faulí 2019-11-21 12:14:21 UTC
Even using the Archive option, the fields are exported to the PDF

Version: 6.5.0.0.alpha0+
Build ID: 60b1a93a990a9978a30dee929526faf8db629a7f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 6 Xisco Faulí 2019-11-21 13:11:56 UTC
Reproduced in

Versión: 6.4.0.0.beta1 (x86)
Id. de compilación: cc57df8f942f239d29cb575ea5a7cb01405db787
Subprocs. CPU: 1; SO: Windows 6.1 Service Pack 1 Build 7601; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded

thus, WIN only
Comment 7 Xisco Faulí 2019-12-02 17:14:49 UTC
Also reproduced in

Versión: 5.3.7.2
Id. de compilación: 6b8ed514a9f8b44d37a1b96673cbbdd077e24059
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; Motor de trazado: HarfBuzz; 
Configuración regional: es-ES (es_ES); Calc: group
Comment 8 Xisco Faulí 2019-12-02 17:15:26 UTC Comment hidden (obsolete)
Comment 9 boicottms 2019-12-09 13:03:10 UTC
(In reply to Xisco Faulí from comment #8)
> @boicottms@yahoo.it, which version did you use previously ? did you use the
> Archive option with that version ?

I used to export both archive and normal, I never noticed that a field could remain editable (or even gray on monitor).
I'v one here that's PDF/A 1.4, made with liboo 5.4, January 2018; same made with liboo 6.0 July 2018. THey both look ok
Comment 10 boicottms 2020-01-06 10:37:21 UTC
it seems to be fixed in LOO 6.3.4.2 win10/64
Comment 11 Timur 2020-01-06 11:49:33 UTC
What is fixed exactly?
There are Archive and Form options and all must be tested.
With master 6.5+ that date is exported as number, without Field option, regardless of Archive. That should be OK.
With and without Archive option, if Form is ticked, date is exported as field. I guess that's not correct. But we must know for sure.
Comment 12 boicottms 2020-01-06 11:59:46 UTC
(In reply to Timur from comment #11)
> What is fixed exactly?
> There are Archive and Form options and all must be tested.
> With master 6.5+ that date is exported as number, without Field option,
> regardless of Archive. That should be OK.
> With and without Archive option, if Form is ticked, date is exported as
> field. I guess that's not correct. But we must know for sure.

You may be right. I was just worried because the date disappeared (and now it's back), but I donnow the expected results of all the export options.